CREATE TABLE fnd_kf_ess_filters (
    ENTERPRISE_ID                NUMBER(18, 0),
    FILTER_ID                    NUMBER(18, 0),
    APPLICATION_SHORT_NAME       VARCHAR2(200)    NOT NULL,
    KEY_FLEXFIELD_CODE           VARCHAR2(16)     NOT NULL,
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0)    NOT NULL,
    DATA_SET_NUMBER              NUMBER(18, 0),
    FILTER                       XMLTYPE      ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    ENTERPRISE_ID                NUMBER(18, 0),
    FILTER_ID                    NUMBER(18, 0),
    APPLICATION_SHORT_NAME       VARCHAR2(200)    NOT NULL,
    KEY_FLEXFIELD_CODE           VARCHAR2(16)     NOT NULL,
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0)    NOT NULL,
    DATA_SET_NUMBER              NUMBER(18, 0),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    FILTER                       XMLTYPE      ,
    CONSTRAINT pk_fnd_kf_ess_filters PRIMARY KEY (ENTERPRISE_ID, FILTER_ID, ENTERPRISE_ID, FILTER_ID)
);
